CVE-2008-2376

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Integer overflow in the rb_ary_fill function in array.c in Ruby before revision 17756 allows context-dependent attackers to cause a denial of service (crash) or possibly have unspecified other impact via a call to the Array#fill method with a start (aka beg) argument greater than ARY_MAX_SIZE. NOTE: this issue exists because of an incomplete fix for other closely related integer overflows.

References

http://lists.apple.com/archives/security-announce//2008/Sep/msg00005.html

http://secunia.com/advisories/30927

http://secunia.com/advisories/31006

http://secunia.com/advisories/31062

http://secunia.com/advisories/31090

http://secunia.com/advisories/31181

http://secunia.com/advisories/31256

http://secunia.com/advisories/32219

http://secunia.com/advisories/33178

http://security.gentoo.org/glsa/glsa-200812-17.xml

http://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=rev&revision=17756

http://wiki.rpath.com/Advisories:rPSA-2008-0218

http://wiki.rpath.com/wiki/Advisories:rPSA-2008-0218

http://www.debian.org/security/2008/dsa-1612

http://www.debian.org/security/2008/dsa-1618

http://www.mandriva.com/security/advisories?name=MDVSA-2008:140

http://www.mandriva.com/security/advisories?name=MDVSA-2008:141

http://www.mandriva.com/security/advisories?name=MDVSA-2008:142

http://www.openwall.com/lists/oss-security/2008/07/02/3

http://www.redhat.com/support/errata/RHSA-2008-0561.html

http://www.securityfocus.com/archive/1/494104/100/0/threaded

http://www.us-cert.gov/cas/techalerts/TA08-260A.html

http://www.vupen.com/english/advisories/2008/2584

https://issues.rpath.com/browse/RPL-2639

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A9863

https://usn.ubuntu.com/651-1/

https://www.redhat.com/archives/fedora-package-announce/2008-July/msg00112.html

https://www.redhat.com/archives/fedora-package-announce/2008-July/msg00161.html

Details

Source: MITRE

Published: 2008-07-09

Updated: 2018-10-11

Type: CWE-189

Risk Information

CVSS v2

Base Score: 7.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 10

Severity: HIGH

Tenable Plugins

View all (19 total)

IDNameProductFamilySeverity
67717Oracle Linux 3 : ruby (ELSA-2008-0562)NessusOracle Linux Local Security Checks
critical
67716Oracle Linux 4 / 5 : ruby (ELSA-2008-0561)NessusOracle Linux Local Security Checks
critical
60442Scientific Linux Security Update : ruby on SL4.x, SL5.x i386/x86_64NessusScientific Linux Local Security Checks
critical
60441Scientific Linux Security Update : ruby on SL3.x i386/x86_64NessusScientific Linux Local Security Checks
critical
43694CentOS 4 / 5 : ruby (CESA-2008:0561)NessusCentOS Local Security Checks
critical
37401Mandriva Linux Security Advisory : ruby (MDVSA-2008:141)NessusMandriva Local Security Checks
critical
37068Ubuntu 6.06 LTS / 7.04 / 7.10 / 8.04 LTS : ruby1.8 vulnerabilities (USN-651-1)NessusUbuntu Local Security Checks
high
36689Mandriva Linux Security Advisory : ruby (MDVSA-2008:140)NessusMandriva Local Security Checks
critical
35188GLSA-200812-17 : Ruby: Multiple vulnerabilitiesNessusGentoo Local Security Checks
critical
4682Mac OS X < 10.5.5 Multiple VulnerabilitiesNessus Network MonitorGeneric
critical
34211Mac OS X 10.5.x < 10.5.5 Multiple VulnerabilitiesNessusMacOS X Local Security Checks
critical
34210Mac OS X Multiple Vulnerabilities (Security Update 2008-006)NessusMacOS X Local Security Checks
critical
33738Debian DSA-1618-1 : ruby1.9 - several vulnerabilitiesNessusDebian Local Security Checks
critical
33551Debian DSA-1612-1 : ruby1.8 - several vulnerabilitiesNessusDebian Local Security Checks
critical
33496RHEL 2.1 / 3 : ruby (RHSA-2008:0562)NessusRed Hat Local Security Checks
critical
33495RHEL 4 / 5 : ruby (RHSA-2008:0561)NessusRed Hat Local Security Checks
critical
33489CentOS 3 : ruby (CESA-2008:0562)NessusCentOS Local Security Checks
critical
33413Fedora 8 : ruby-1.8.6.230-4.fc8 (2008-6094)NessusFedora Local Security Checks
high
33408Fedora 9 : ruby-1.8.6.230-4.fc9 (2008-6033)NessusFedora Local Security Checks
high